package Libconf::Glueconf::Wrapper::Hash;
use Libconf::Glueconf::Wrapper;
our @ISA = qw(Libconf::Glueconf::Wrapper);

sub debug { Libconf::debug(@_) }

# default tie hashing
sub TIEHASH {
    my ($pkg, $libconf) = @_;
    debug();
    bless {
           libconf => $libconf,
          }, $pkg;
}

sub CLEAR {
    my ($obj) = @_;
    debug();
    $obj->{libconf}->clear;
}

sub FIRSTKEY {
    my ($obj) = @_;
    debug();
    my $atom = $obj->{libconf}->get_atom(0);
    $atom->{key};
}

1;
